Class Index | File Index

## Classes

- Environment
- InitializationError
- JSONInstance
- JSONSchema
- JSV
- Report
- ValidationError

# Class ValidationError

Defined in: jsv.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| ValidationError() Defines an error, found by a schema, with an instance.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| attribute The name of the schema attribute that generated the error.
| details The value of the schema attribute that generated the error.
| message An user-friendly (English) message about what failed to validate.
| schemaUri The URI of the schema that generated the error.
| uri The URI of the instance that has the error.

Class Detail
ValidationError()
Defines an error, found by a schema, with an instance. This class can only be instantiated by Report#addError.

See:
  Report#addError

Field Detail
{String} attribute
The name of the schema attribute that generated the error.

{Any} details
The value of the schema attribute that generated the error.

{String} message
An user-friendly (English) message about what failed to validate.

{String} schemaUri
The URI of the schema that generated the error.

{String} uri
The URI of the instance that has the error.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Sep 14 2011 18:53:24 GMT-0600 (MDT)